org.apache.poi.util

## Class HexRead

- java.lang.Object
- - org.apache.poi.util.HexRead

-     public class HexRead
      extends java.lang.Object

  Utilities to read hex from files. TODO - move to test packages

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HexRead()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `readData(java.io.InputStream stream, int eofChar)`
    `static byte[]` | `readData(java.io.InputStream stream, java.lang.String section)` Same as readData(String) except that this method allows you to specify sections within a file.
    `static byte[]` | `readData(java.lang.String filename)` This method reads hex data from a filename and returns a byte array.
    `static byte[]` | `readData(java.lang.String filename, java.lang.String section)`
    `static byte[]` | `readFromString(java.lang.String data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HexRead

          public HexRead()

  - ### Method Detail

    - #### readData

          public static byte[] readData(java.lang.String filename)
                                 throws java.io.IOException

      This method reads hex data from a filename and returns a byte array. The file may contain line comments that are preceded with a # symbol.
      Parameters:
        `filename` - The filename to read
      Returns:
        The bytes read from the file.
      Throws:
        `java.io.IOException` - If there was a problem while reading the file.

    - #### readData

          public static byte[] readData(java.io.InputStream stream,
                                        java.lang.String section)
                                 throws java.io.IOException

      Same as readData(String) except that this method allows you to specify sections within a file. Sections are referenced using section headers in the form:

            [sectioname]

      Throws:
        `java.io.IOException`
      See Also:
        `readData(String)`

    - #### readData

          public static byte[] readData(java.lang.String filename,
                                        java.lang.String section)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readData

          public static byte[] readData(java.io.InputStream stream,
                                        int eofChar)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readFromString

          public static byte[] readFromString(java.lang.String data)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.